Negate number

- « gmp_mul

- gmp_nextprime »

- PHP Manual
- GMP Functions
- Negate number

# gmp_neg

(PHP 4 >= 4.0.4, PHP 5, PHP 7, PHP 8)

gmp_neg — Negate number

### Description

gmp_neg(GMP|int|string `$num`): GMP

Returns the negative value of a number.

### Parameters

`num`

  A GMP object, an int, or a string that can be interpreted as a number following the same logic as if the string was used in gmp_init() with automatic base detection (i.e. when `base` is equal to 0).

### Return Values

Returns -`num`, as a GMP number.

### Examples

Example #1 gmp_neg() example

    <?php
    $neg1 = gmp_neg("1");
    echo gmp_strval($neg1) . "\n";
    $neg2 = gmp_neg("-1");
    echo gmp_strval($neg2) . "\n";
    ?>

The above example will output:

    -1
    1